
typedef struct nodo_lista {
	struct nodo_lista * prev;
	struct nodo_lista * next;
	char data[256];
    int elemento;
} t_list;

#define t_stack t_list

void list_add(t_list *list, char *data);
char *list_get(t_list *x, int index);
void list_remove(t_list *x);

void stack_push(t_stack *stack, char* data);
void stack_get(t_stack *stack, char* data);
void stack_pop(t_stack *stack, char *data);
void stack_new(t_stack **stack);
void stack_free(t_stack *stack);
